Summary: Utilities for managing the XFS filesystem.
Name: xfsprogs
Version: 2.6.2
Release: 3tr
Prereq: /sbin/ldconfig
Conflicts: xfsdump < 2.0.0
Source: xfsprogs-2.6.2.src.tar.gz
License: GPL
URL: http://oss.sgi.com/projects/xfs/
Group: Trustix Official
BuildRoot: /var/tmp/%{name}-root

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated
on the SGI IRIX platform.  It is completely multi-threaded, can
support large files and large filesystems, extended attributes,
variable block sizes, is extent based, and makes extensive use of
Btrees (directories, extents, free space) to aid both performance
and scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/
for complete details.  This implementation is on-disk compatible
with the IRIX version of XFS.

%package devel
Summary: XFS filesystem-specific static libraries and headers.
Group: Trustix Official
Requires: xfsprogs >= 2.0.0
Conflicts: xfsprogs < 2.0.0

%description devel
xfsprogs-devel contains the libraries and header files needed to
develop XFS filesystem-specific programs.

You should install xfsprogs-devel if you want to develop XFS
filesystem-specific programs,  If you install xfsprogs-devel, you'll
also want to install xfsprogs.

%prep
%setup -q
make configure

%build
make

%install
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make -C build/rpm rpmfiles DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
/usr/bin/make -C build/rpm rpmfiles-dev DIST_MANIFEST="$DIST_INSTALL_DEV"

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f build/rpm/rpmfiles

%files devel -f build/rpm/rpmfiles-dev

%changelog
* Fri Jan 23 2004 Erlend Midttun <erlendbm at trustix dot org> 2.6.2-1tr
- Initial release for Trustix, based off official SGI rpms.

